Attributes
Update attribute
Updates an existing attribute including its key, name, description, and field values. Field values are validated against the template’s field types (e.g., image fields must be valid images, number fields must be numeric). For image fields, you may upload a file, pass a public image URL in the field key, or reference an existing app image by UUID via form field image_id when the field key is image, otherwise <field_key>_image_id.
PATCH
/
api
/
v1
/
{team_slug}
/
{app_slug}
/
attributes
/
{attribute_template_key}
/
{attribute_key}
Update attribute
curl --request PATCH \
--url https://api.enad.io/api/v1/{team_slug}/{app_slug}/attributes/{attribute_template_key}/{attribute_key} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data 'key=<string>' \
--data 'name=<string>' \
--data 'description=<string>'import requests
url = "https://api.enad.io/api/v1/{team_slug}/{app_slug}/attributes/{attribute_template_key}/{attribute_key}"
payload = {
"key": "<string>",
"name": "<string>",
"description": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/x-www-form-urlencoded"
}
response = requests.patch(url, data=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
Authorization: 'Bearer <token>',
'Content-Type': 'application/x-www-form-urlencoded'
},
body: new URLSearchParams({key: '<string>', name: '<string>', description: '<string>'})
};
fetch('https://api.enad.io/api/v1/{team_slug}/{app_slug}/attributes/{attribute_template_key}/{attribute_key}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.enad.io/api/v1/{team_slug}/{app_slug}/attributes/{attribute_template_key}/{attribute_key}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => "key=%3Cstring%3E&name=%3Cstring%3E&description=%3Cstring%3E",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/x-www-form-urlencoded"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.enad.io/api/v1/{team_slug}/{app_slug}/attributes/{attribute_template_key}/{attribute_key}"
payload := strings.NewReader("key=%3Cstring%3E&name=%3Cstring%3E&description=%3Cstring%3E")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/x-www-form-urlencoded")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.enad.io/api/v1/{team_slug}/{app_slug}/attributes/{attribute_template_key}/{attribute_key}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/x-www-form-urlencoded")
.body("key=%3Cstring%3E&name=%3Cstring%3E&description=%3Cstring%3E")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.enad.io/api/v1/{team_slug}/{app_slug}/attributes/{attribute_template_key}/{attribute_key}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/x-www-form-urlencoded'
request.body = "key=%3Cstring%3E&name=%3Cstring%3E&description=%3Cstring%3E"
response = http.request(request)
puts response.read_body{
"data": {
"created_at": "<string>",
"description": "<string>",
"fields": [
{
"created_at": "<string>",
"id": "<string>",
"key": "<string>",
"name": "<string>",
"type": "<string>",
"updated_at": "<string>"
}
],
"filterable": true,
"id": "<string>",
"key": "<string>",
"linked_attributes": [
{
"created_at": "<string>",
"description": "<string>",
"filterable": true,
"id": "<string>",
"key": "<string>",
"name": "<string>",
"template_key": "<string>",
"template_name": "<string>",
"translatable": true,
"translations": {
"description": [
{
"id": "<string>",
"locale": "<string>",
"value": "<string>"
}
],
"name": [
{
"id": "<string>",
"locale": "<string>",
"value": "<string>"
}
]
},
"updated_at": "<string>",
"values": {}
}
],
"name": "<string>",
"template_key": "<string>",
"template_name": "<string>",
"translatable": true,
"translations": {
"description": [
{
"id": "<string>",
"locale": "<string>",
"value": "<string>"
}
],
"name": [
{
"id": "<string>",
"locale": "<string>",
"value": "<string>"
}
]
},
"updated_at": "<string>",
"values": {}
},
"success": true,
"details": [
"<string>"
]
}{
"success": true,
"details": [
"<string>"
],
"message": "<string>"
}{
"success": true,
"details": [
"<string>"
],
"message": "<string>"
}{
"success": true,
"details": [
"<string>"
],
"message": "<string>"
}Authorizations
Management API token, sent as Authorization: Bearer <token>.
Path Parameters
App slug
Team slug
Attribute template key
Attribute key
Body
application/x-www-form-urlencoded
⌘I
Update attribute
curl --request PATCH \
--url https://api.enad.io/api/v1/{team_slug}/{app_slug}/attributes/{attribute_template_key}/{attribute_key} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data 'key=<string>' \
--data 'name=<string>' \
--data 'description=<string>'import requests
url = "https://api.enad.io/api/v1/{team_slug}/{app_slug}/attributes/{attribute_template_key}/{attribute_key}"
payload = {
"key": "<string>",
"name": "<string>",
"description": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/x-www-form-urlencoded"
}
response = requests.patch(url, data=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
Authorization: 'Bearer <token>',
'Content-Type': 'application/x-www-form-urlencoded'
},
body: new URLSearchParams({key: '<string>', name: '<string>', description: '<string>'})
};
fetch('https://api.enad.io/api/v1/{team_slug}/{app_slug}/attributes/{attribute_template_key}/{attribute_key}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.enad.io/api/v1/{team_slug}/{app_slug}/attributes/{attribute_template_key}/{attribute_key}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => "key=%3Cstring%3E&name=%3Cstring%3E&description=%3Cstring%3E",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/x-www-form-urlencoded"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.enad.io/api/v1/{team_slug}/{app_slug}/attributes/{attribute_template_key}/{attribute_key}"
payload := strings.NewReader("key=%3Cstring%3E&name=%3Cstring%3E&description=%3Cstring%3E")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/x-www-form-urlencoded")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.enad.io/api/v1/{team_slug}/{app_slug}/attributes/{attribute_template_key}/{attribute_key}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/x-www-form-urlencoded")
.body("key=%3Cstring%3E&name=%3Cstring%3E&description=%3Cstring%3E")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.enad.io/api/v1/{team_slug}/{app_slug}/attributes/{attribute_template_key}/{attribute_key}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/x-www-form-urlencoded'
request.body = "key=%3Cstring%3E&name=%3Cstring%3E&description=%3Cstring%3E"
response = http.request(request)
puts response.read_body{
"data": {
"created_at": "<string>",
"description": "<string>",
"fields": [
{
"created_at": "<string>",
"id": "<string>",
"key": "<string>",
"name": "<string>",
"type": "<string>",
"updated_at": "<string>"
}
],
"filterable": true,
"id": "<string>",
"key": "<string>",
"linked_attributes": [
{
"created_at": "<string>",
"description": "<string>",
"filterable": true,
"id": "<string>",
"key": "<string>",
"name": "<string>",
"template_key": "<string>",
"template_name": "<string>",
"translatable": true,
"translations": {
"description": [
{
"id": "<string>",
"locale": "<string>",
"value": "<string>"
}
],
"name": [
{
"id": "<string>",
"locale": "<string>",
"value": "<string>"
}
]
},
"updated_at": "<string>",
"values": {}
}
],
"name": "<string>",
"template_key": "<string>",
"template_name": "<string>",
"translatable": true,
"translations": {
"description": [
{
"id": "<string>",
"locale": "<string>",
"value": "<string>"
}
],
"name": [
{
"id": "<string>",
"locale": "<string>",
"value": "<string>"
}
]
},
"updated_at": "<string>",
"values": {}
},
"success": true,
"details": [
"<string>"
]
}{
"success": true,
"details": [
"<string>"
],
"message": "<string>"
}{
"success": true,
"details": [
"<string>"
],
"message": "<string>"
}{
"success": true,
"details": [
"<string>"
],
"message": "<string>"
}